Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IOP::TaggedComponentSeq_var Class Reference

`#include <IOPC.h>`

List of all members.

## Public Methods
| TaggedComponentSeq_var (void)
| TaggedComponentSeq_var (TaggedComponentSeq *)
| TaggedComponentSeq_var (const TaggedComponentSeq_var &)
| ~TaggedComponentSeq_var (void)
TaggedComponentSeq_var & | operator= (TaggedComponentSeq *)
TaggedComponentSeq_var & | operator= (const TaggedComponentSeq_var &)
TaggedComponentSeq * | operator-> (void)
const TaggedComponentSeq * | operator-> (void) const
| operator const TaggedComponentSeq & () const
| operator TaggedComponentSeq & ()
| operator TaggedComponentSeq & () const
| operator TaggedComponentSeq *& ()
TaggedComponent & | operator[] (CORBA::ULong index)
const TaggedComponent & | operator[] (CORBA::ULong index) const
const TaggedComponentSeq & | in (void) const
TaggedComponentSeq & | inout (void)
TaggedComponentSeq *& | out (void)
TaggedComponentSeq * | _retn (void)
TaggedComponentSeq * | ptr (void) const
## Private Attributes
TaggedComponentSeq * | ptr_

## Constructor & Destructor Documentation

IOP::TaggedComponentSeq_var::TaggedComponentSeq_var | ( | void |  | ) |

IOP::TaggedComponentSeq_var::TaggedComponentSeq_var | ( | TaggedComponentSeq * |  | ) |

IOP::TaggedComponentSeq_var::TaggedComponentSeq_var | ( | const TaggedComponentSeq_var & |  | ) |

IOP::TaggedComponentSeq_var::~TaggedComponentSeq_var | ( | void |  | ) |

## Member Function Documentation

TaggedComponentSeq* IOP::TaggedComponentSeq_var::_retn | ( | void |  | ) |

const TaggedComponentSeq& IOP::TaggedComponentSeq_var::in | ( | void |  | ) | const

TaggedComponentSeq& IOP::TaggedComponentSeq_var::inout | ( | void |  | ) |

IOP::TaggedComponentSeq_var::operator const TaggedComponentSeq & | ( |  | ) | const

IOP::TaggedComponentSeq_var::operator TaggedComponentSeq & | ( |  | ) | const

IOP::TaggedComponentSeq_var::operator TaggedComponentSeq & | ( |  | ) |

IOP::TaggedComponentSeq_var::operator TaggedComponentSeq *& | ( |  | ) |

const TaggedComponentSeq* IOP::TaggedComponentSeq_var::operator-> | ( | void |  | ) | const

TaggedComponentSeq* IOP::TaggedComponentSeq_var::operator-> | ( | void |  | ) |

TaggedComponentSeq_var& IOP::TaggedComponentSeq_var::operator= | ( | const TaggedComponentSeq_var & |  | ) |

TaggedComponentSeq_var& IOP::TaggedComponentSeq_var::operator= | ( | TaggedComponentSeq * |  | ) |

const TaggedComponent& IOP::TaggedComponentSeq_var::operator[] | ( | CORBA::ULong | index | ) | const

TaggedComponent& IOP::TaggedComponentSeq_var::operator[] | ( | CORBA::ULong | index | ) |

TaggedComponentSeq*& IOP::TaggedComponentSeq_var::out | ( | void |  | ) |

TaggedComponentSeq* IOP::TaggedComponentSeq_var::ptr | ( | void |  | ) | const

## Member Data Documentation

TaggedComponentSeq* IOP::TaggedComponentSeq_var::ptr_`[private]`

The documentation for this class was generated from the following file:

- IOPC.h